Update from author/maintainer:

Some changes to symon:
- multiple tcp clients to symux was broken (2.54)
- added a perl module to interact with symux (2.54)
- added a debug module for debug vars in kernel
- network code is redone, everything = ip v4/6 agnostic
- network addresses in config need no longer be resolvable
This commit is contained in:
dhartmei 2002-12-01 01:58:42 +00:00
parent 67908bf66a
commit fb5e8b16cd
10 changed files with 205 additions and 13 deletions

View File

@ -1,7 +1,7 @@
# $OpenBSD: Makefile,v 1.3 2002/10/28 19:53:44 naddy Exp $
# $OpenBSD: Makefile,v 1.4 2002/12/01 01:58:42 dhartmei Exp $
COMMENT= "active monitoring tool"
V= 2.53
V= 2.55
DISTNAME= symon-${V}
CATEGORIES= net sysutils

View File

@ -1,3 +1,3 @@
MD5 (symon-2.53.tar.gz) = 429e8b1dd042f36c6e18ecff34823c0f
RMD160 (symon-2.53.tar.gz) = d2c4a639171811aea519d2f4ab2f3eeb17beeaf7
SHA1 (symon-2.53.tar.gz) = e425de106b6a6e73c826bfdf1464ef62d8c7d4a3
MD5 (symon-2.55.tar.gz) = 03525643ae96285f8f6ab3c5178acbf1
RMD160 (symon-2.55.tar.gz) = 0c27f88b428cf10b2a42091d33d35f462f2be59e
SHA1 (symon-2.55.tar.gz) = 4fa391b5cb5dffcb7a4a654b300dad3b21211757

View File

@ -0,0 +1,25 @@
#!/bin/sh
# $Id: DEINSTALL,v 1.1 2002/12/01 01:58:42 dhartmei Exp $
#
# symon de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/symon.conf
if [ -e $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -0,0 +1,25 @@
#!/bin/sh
# $Id: DEINSTALL-mon,v 1.1 2002/12/01 01:58:42 dhartmei Exp $
#
# symon de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/symon.conf
if [ -e $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -0,0 +1,67 @@
#!/bin/sh
# $Id: INSTALL,v 1.1 2002/12/01 01:58:42 dhartmei Exp $
#
# Pre/post-installation setup of symon monitor
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/symon.conf
SAMPLE_CONFIG_FILE=$PREFIX/share/symon/symon.conf
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
$PREFIX/share/symon/c_config.sh 127.0.0.1 2100 > $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE, has been generated by"
echo "| $PREFIX/share/symon/c_config.sh. It has been filled with cpu, memory,"
echo "| pf, default disks and interfaces. Please review this file and change"
echo "| the configuration to suit your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -0,0 +1,67 @@
#!/bin/sh
# $Id: INSTALL-mon,v 1.1 2002/12/01 01:58:42 dhartmei Exp $
#
# Pre/post-installation setup of symon monitor
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/symon.conf
SAMPLE_CONFIG_FILE=$PREFIX/share/symon/symon.conf
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
$PREFIX/share/symon/c_config.sh 127.0.0.1 2100 > $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE, has been generated by"
echo "| $PREFIX/share/symon/c_config.sh. It has been filled with cpu, memory,"
echo "| pf, default disks and interfaces. Please review this file and change"
echo "| the configuration to suit your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,5 +1,5 @@
@comment $Id: PLIST,v 1.1 2002/10/08 07:56:42 dhartmei Exp $
@comment $OpenBSD: PLIST,v 1.1 2002/10/08 07:56:42 dhartmei Exp $
@comment $Id: PLIST,v 1.2 2002/12/01 01:58:42 dhartmei Exp $
@comment $OpenBSD: PLIST,v 1.2 2002/12/01 01:58:42 dhartmei Exp $
libexec/symon
libexec/symux
man/cat8/symon.0
@ -23,5 +23,9 @@ share/symon/web/index.php
share/symon/web/symon.css
share/symon/web/symon.png
share/symon/web/spacer.png
share/symon/web/test_config.php
share/symon/client/getsymonitem.pl
share/symon/client/SymuxClient.pm
share/symon/client/SymuxClient.0
@dirrm share/symon/web
@dirrm share/symon

View File

@ -1,5 +1,5 @@
@comment $Id: PLIST-mon,v 1.2 2002/10/26 01:09:14 dhartmei Exp $
@comment $OpenBSD: PLIST-mon,v 1.2 2002/10/26 01:09:14 dhartmei Exp $
@comment $Id: PLIST-mon,v 1.3 2002/12/01 01:58:42 dhartmei Exp $
@comment $OpenBSD: PLIST-mon,v 1.3 2002/12/01 01:58:42 dhartmei Exp $
libexec/symon
man/cat8/symon.0
share/symon/symon.conf

View File

@ -1,7 +1,10 @@
@comment $Id: PLIST-mux,v 1.1 2002/10/08 07:56:42 dhartmei Exp $
@comment $OpenBSD: PLIST-mux,v 1.1 2002/10/08 07:56:42 dhartmei Exp $
@comment $Id: PLIST-mux,v 1.2 2002/12/01 01:58:42 dhartmei Exp $
@comment $OpenBSD: PLIST-mux,v 1.2 2002/12/01 01:58:42 dhartmei Exp $
libexec/symux
man/cat8/symux.0
share/symon/c_smrrds.sh
share/symon/symux.conf
share/symon/client/getsymonitem.pl
share/symon/client/SymuxClient.pm
share/symon/client/SymuxClient.0
@dirrm share/symon

View File

@ -1,5 +1,5 @@
@comment $Id: PLIST-web,v 1.1 2002/10/08 07:56:42 dhartmei Exp $
@comment $OpenBSD: PLIST-web,v 1.1 2002/10/08 07:56:42 dhartmei Exp $
@comment $Id: PLIST-web,v 1.2 2002/12/01 01:58:42 dhartmei Exp $
@comment $OpenBSD: PLIST-web,v 1.2 2002/12/01 01:58:42 dhartmei Exp $
share/symon/web/class_cpu.inc
share/symon/web/class_graph.inc
share/symon/web/class_if.inc
@ -16,5 +16,6 @@ share/symon/web/index.php
share/symon/web/symon.css
share/symon/web/symon.png
share/symon/web/spacer.png
share/symon/web/test_config.php
@dirrm share/symon/web
@dirrm share/symon